# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'gris_accounts/version'

Gem::Specification.new do |spec|
  spec.name          = 'gris_accounts'
  spec.version       = GrisAccounts::VERSION
  spec.authors       = ['Dylan Fareed']
  spec.email         = %w(email@dylanfareed.com)
  spec.summary       = 'Gris JWT Account resource authorization helpers.'
  spec.description   = 'Helpers for handling Account resource authorization
                        with decoded Gris JSON Web Tokens.'
  spec.homepage      = 'https://github.com/dylanfareed/gris_accounts'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  spec.add_dependency 'gris'

  spec.add_development_dependency 'bundler'
  spec.add_development_dependency 'rake'
  spec.add_development_dependency 'rspec'
  spec.add_development_dependency 'rubocop'
  spec.add_development_dependency 'byebug'
end
